/*********************************************************************************
 *   Kenya - an introductory programming language and development environment    *
 *   Copyright (C) 2001 Robert Chatley                                           *
 *                                                                               *
 *   This program is free software; you can redistribute it and/or               *
 *   modify it under the terms of the GNU General Public License                 *
 *   as published by the Free Software Foundation; either version 2              *
 *   of the License, or (at your option) any later version.                      *
 *                                                                               *
 *   This program is distributed in the hope that it will be useful,             *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *   GNU General Public License for more details.                                *
 *                                                                               *
 *   You should have received a copy of the GNU General Public License           *
 *   along with this program; if not, write to the Free Software                 *
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *                                                                               *
 *   The author can be contacted by email at robert@chatley.com                  *
 *                                                                               *
 *********************************************************************************/

import java.io.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;

class NewListener implements ActionListener
{
    private KenyaUI ui;

    NewListener(KenyaUI f)
    {
	ui = f;
    }

    public void actionPerformed( ActionEvent event )
    {
	if ( ! ui.kenyaArea.getText().trim().equals( "" ) ) {
	    
	    int save = JOptionPane.showConfirmDialog( ui , "Save current Kenya before starting new project?" , "New File" , JOptionPane.YES_NO_CANCEL_OPTION );
	    
	    if ( save == JOptionPane.CANCEL_OPTION ) {
		return;
	    }	    

	    if ( save == JOptionPane.YES_OPTION ) {
		SaveListener.save(ui,true);
		ui.msgsArea.append("\nNew Project");
	    }

	    if ( save == JOptionPane.NO_OPTION ) {
		ui.msgsArea.setText("New project");
	    }

	} else {
	    ui.msgsArea.setText("New project");
	}
	SaveListener.reset();
	ui.kenyaArea.setText("");
	ui.javaArea.setText("");
	ui.packagename = "";
	ui.setTitle("Kenya");
    }
}
